웹사이트
GET https://laudits.com/api/websites/
curl --request GET \
--url 'https://laudits.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://laudits.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: host. |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime, last_audit_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: website_id, datetime, last_datetime, last_audit_datetime, host, score, total_audits, total_archived_audits, total_issues. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-04-30 16:19:59",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://laudits.com/api/websites?page=1",
"last": "https://laudits.com/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://laudits.com/api/websites?page=1"
}
}
GET https://laudits.com/api/websites/{website_id}
curl --request GET \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-04-30 16:19:59",
}
}
POST https://laudits.com/api/websites/{website_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| domain_id | 선택 사항 정수 | - |
| password | 선택 사항 문자열 | - |
| is_public | 선택 사항 부울 | - |
| audit_check_interval | 선택 사항 정수 | 허용된 값: {empty_string},21600, 43200, 86400, 259200, 432000, 864000, 1296000, 2592000 (초) |
| notifications | 선택 사항 배열 | 알림 처리기 ID |
| directory_is_enabled_and_verified | 선택 사항 부울 | - |
curl --request POST \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
{
"data": {
"id": 1
}
}
DELETE https://laudits.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \